Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class SegmentedHashMap.RemoveAction

`java.lang.Object
com.tangosol.util.SegmentedHashMap.EntryActionAdapter
com.tangosol.util.SegmentedHashMap.RemoveAction`

All Implemented Interfaces:
  SegmentedHashMap.EntryAction, SegmentedHashMap.IterableEntryAction

Direct Known Subclasses:
  SegmentedConcurrentMap.RemoveAction

Enclosing class:
  SegmentedHashMap

      protected class SegmentedHashMap.RemoveAction

extends SegmentedHashMap.EntryActionAdapter

Action support for remove(). The action performs a locked remove, and is expected to run while holding the segment-lock for the specified key. <p/> The context object for a RemoveAction is unused. <p/> The result of invoking a RemoveAction is the previous value associated with the specified key, or `NO_VALUE` if no mapping for the key exists in the map. Note that a synthetic Entry does not represent a key-value mapping, so `NO_VALUE` is returned if a matching synthetic Entry is found.

Constructor Summary
`protected` | `SegmentedHashMap.RemoveAction()`

Method Summary
`Object` | `invokeFound(Object oKey, Object oContext, SegmentedHashMap.Entry[] aeBucket, int nBucket, SegmentedHashMap.Entry entryPrev, SegmentedHashMap.Entry entryCur)` Invoke some action, holding the segment lock, when a matching Entry is found.

Methods inherited from class com.tangosol.util.SegmentedHashMap.EntryActionAdapter
`invokeNotFound, isComplete`

Constructor Detail

### SegmentedHashMap.RemoveAction

    protected SegmentedHashMap.RemoveAction()

Method Detail

### invokeFound

    public Object invokeFound(Object oKey,
                              Object oContext,
                              SegmentedHashMap.Entry[] aeBucket,
                              int nBucket,
                              SegmentedHashMap.Entry entryPrev,
                              SegmentedHashMap.Entry entryCur)

  Invoke some action, holding the segment lock, when a matching Entry is found.
  Specified by:
    `invokeFound` in interface `SegmentedHashMap.EntryAction`
  Overrides:
    `invokeFound` in class `SegmentedHashMap.EntryActionAdapter`
  Parameters:
    `oKey` - the key to which the action is applied
    `oContext` - opaque context specific to the action
    `aeBucket` - the bucket array
    `nBucket` - the index into the bucket array
    `entryPrev` - the Entry object immediately preceding the Entry that was found, or null
    `entryCur` - the Entry object that was found
  Returns:
    an opaque result value

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.